Skip to Content
kosemdocs
ReferenceAPIModels

List models in project

Lists an organization's models, or a project's, adopted and its own, which it calls.

GET
/v1/projects/{project}/models

Lists an organization's models, or a project's, adopted and its own, which it calls.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
models*array<>

Models, oldest first.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/models'
Example Response
{
  "models": [
    {
      "alias": "string",
      "availability": {
        "allProjects": true,
        "projects": [
          "string"
        ]
      },
      "createTime": "2019-08-24T14:15:22Z",
      "displayName": "string",
      "formats": [
        "ANTHROPIC_MESSAGES"
      ],
      "info": {
        "contextWindow": 0,
        "deprecated": true,
        "displayName": "string",
        "inputs": [
          "string"
        ],
        "maxInputTokens": 0,
        "maxOutputTokens": 0,
        "pricing": {
          "cacheRead": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "cacheWrite": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "input": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          },
          "output": {
            "currencyCode": "string",
            "nanos": -999999999,
            "units": 0
          }
        },
        "reasoning": true,
        "reasoningEfforts": [
          "string"
        ],
        "structuredOutput": true,
        "toolCalls": true
      },
      "name": "string",
      "nativeFormats": [
        "ANTHROPIC_MESSAGES"
      ],
      "pricing": {
        "cacheRead": {
          "currencyCode": "string",
          "nanos": -999999999,
          "units": 0
        },
        "cacheWrite": {
          "currencyCode": "string",
          "nanos": -999999999,
          "units": 0
        },
        "input": {
          "currencyCode": "string",
          "nanos": -999999999,
          "units": 0
        },
        "output": {
          "currencyCode": "string",
          "nanos": -999999999,
          "units": 0
        },
        "pricedLike": {
          "provider": "string",
          "providerModel": "string"
        }
      },
      "provider": "string",
      "providerModel": "string",
      "providerType": "string",
      "source": "string",
      "state": "ACTIVE",
      "stateReason": "string",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ],
  "nextPageToken": "string"
}